Bug 544581 - Review Request: python-minimock - The simplest possible mock library
Review Request: python-minimock - The simplest possible mock library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513546
  Show dependency treegraph
 
Reported: 2009-12-05 09:46 EST by Thomas Spura
Modified: 2010-01-12 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.2.5-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-27 15:29:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Spura 2009-12-05 09:46:08 EST
Spec URL: http://tomspur.fedorapeople.org/review/python-minimock.spec
SRPM URL: http://tomspur.fedorapeople.org/review/python-minimock-1.0-1.fc12.src.rpm
Description: minimock is a simple library for doing Mock objects with doctest.

_____________________________________

rpmlint clean:
$ rpmlint python-minimock.spec python-minimock-1.0-1.fc12.src.rpm noarch/python-minimock-1.0-1.fc12.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

_____________________________________

builds in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1851341


______________________________________

python-daemon is currently broken, because this package is not yet in fedora.
Comment 1 Fabian Affolter 2009-12-21 07:16:58 EST
Just one small comment:

URL and Source0 points to the same location.  Seams to be a copy-&-paste error.
Comment 2 Thomas Spura 2009-12-21 19:59:35 EST
(In reply to comment #1)
> URL and Source0 points to the same location.  Seams to be a copy-&-paste error.  

Oh, yes, thanks.
Corrected.
URL: http://pypi.python.org/pypi/MiniMock



Also updated to latest version.



rpmlint still clean.




Spec URL: http://tomspur.fedorapeople.org/review/python-minimock.spec
SRPM URL: http://tomspur.fedorapeople.org/review/python-minimock-1.2.5-1.fc12.src.rpm
Comment 3 Fabian Affolter 2009-12-23 08:04:32 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F12/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@localhost SRPMS]$ rpmlint python-minimock-1.2.5-1.fc12.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@localhost noarch]$ rpmlint python-minimock-1.2.5-1.fc12.noarch.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 404ad9b0b2052686dee28936403aa3e7
     Build source:    404ad9b0b2052686dee28936403aa3e7
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Reviewer should test that the package builds in mock
     Tested on: F12/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1888127
 [?] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

I see no further blocker, package APPROVED
Comment 4 Thomas Spura 2009-12-23 08:15:48 EST
Thanks for reviewing this.

New Package CVS Request
=======================
Package Name:      python-minimock
Short Description: The simplest possible mock library
Owners:            tomspur
Branches: 
InitialCC:
Comment 5 Dennis Gilmore 2009-12-23 14:42:32 EST
CVS Done
Comment 6 Thomas Spura 2009-12-23 14:57:13 EST
Oh no,... forgot to add the branches :'(
Sorry, Dennis.


Package Change Request
======================
Package Name: python-minimock
New Branches: F-12 F-11 EL-5
Owners: tomspur
Comment 7 Kevin Fenzi 2009-12-24 02:01:04 EST
cvs done.
Comment 8 Fedora Update System 2009-12-24 10:39:35 EST
python-minimock-1.2.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-minimock-1.2.5-1.fc11
Comment 9 Fedora Update System 2009-12-24 10:40:39 EST
python-minimock-1.2.5-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-minimock-1.2.5-1.el5
Comment 10 Fedora Update System 2009-12-24 10:41:29 EST
python-minimock-1.2.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-minimock-1.2.5-1.fc12
Comment 11 Fedora Update System 2009-12-27 15:29:10 EST
python-minimock-1.2.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-12-27 15:34:28 EST
python-minimock-1.2.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-01-12 18:55:24 EST
python-minimock-1.2.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.